Package org.gradle.workers

## Enum ForkMode

- java.lang.Object
- - java.lang.Enum<ForkMode>
  - - org.gradle.workers.ForkMode

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ForkMode>`

      public enum ForkMode
      extends java.lang.Enum<ForkMode>

  Forking mode for workers.
  Since:
    3.5

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ALWAYS` | Always fork, aka.
    `AUTO` | Let Gradle decide, this is the default.
    `NEVER` | Never fork, aka.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ForkMode` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ForkMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUTO

          public static final ForkMode AUTO

      Let Gradle decide, this is the default.

    - #### NEVER

          public static final ForkMode NEVER

      Never fork, aka. use in-process workers.

    - #### ALWAYS

          public static final ForkMode ALWAYS

      Always fork, aka. use out-of-process workers.

  - ### Method Detail

    - #### values

          public static ForkMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForkMode c : ForkMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForkMode valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null